package com.ruoyi.tcZz.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.tcZz.domain.TcBjsjwp;
import com.ruoyi.tcZz.service.ITcBjsjwpService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 本级上级网评指令比例（月）Controller
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@RestController
@RequestMapping("/tcZz/networkEcology/bjsjwp")
public class TcBjsjwpController extends BaseController
{
    @Autowired
    private ITcBjsjwpService tcBjsjwpService;

    /**
     * 查询本级上级网评指令比例（月）列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:bjsjwp:list')")
    @GetMapping("/list")
    public TableDataInfo list(TcBjsjwp tcBjsjwp)
    {
        startPage();
        List<TcBjsjwp> list = tcBjsjwpService.selectTcBjsjwpList(tcBjsjwp);
        return getDataTable(list);
    }

    /**
     * 导出本级上级网评指令比例（月）列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:bjsjwp:export')")
    @Log(title = "本级上级网评指令比例（月）", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, TcBjsjwp tcBjsjwp)
    {
        List<TcBjsjwp> list = tcBjsjwpService.selectTcBjsjwpList(tcBjsjwp);
        ExcelUtil<TcBjsjwp> util = new ExcelUtil<TcBjsjwp>(TcBjsjwp.class);
        util.exportExcel(response, list, "本级上级网评指令比例（月）数据");
    }

    /**
     * 获取本级上级网评指令比例（月）详细信息
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:bjsjwp:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(tcBjsjwpService.selectTcBjsjwpById(id));
    }

    /**
     * 新增本级上级网评指令比例（月）
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:bjsjwp:add')")
    @Log(title = "本级上级网评指令比例（月）", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TcBjsjwp tcBjsjwp)
    {
        return toAjax(tcBjsjwpService.insertTcBjsjwp(tcBjsjwp));
    }

    /**
     * 修改本级上级网评指令比例（月）
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:bjsjwp:edit')")
    @Log(title = "本级上级网评指令比例（月）", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody TcBjsjwp tcBjsjwp)
    {
        return toAjax(tcBjsjwpService.updateTcBjsjwp(tcBjsjwp));
    }

    /**
     * 删除本级上级网评指令比例（月）
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:bjsjwp:remove')")
    @Log(title = "本级上级网评指令比例（月）", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(tcBjsjwpService.deleteTcBjsjwpByIds(ids));
    }
}
