package com.ruoyi.tcZz.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.tcZz.domain.TcWlaqzcqy;
import com.ruoyi.tcZz.service.ITcWlaqzcqyService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 网络安全支持单位Controller
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@RestController
@RequestMapping("/tcZz/networkEcology/wlaqzcqy")
public class TcWlaqzcqyController extends BaseController
{
    @Autowired
    private ITcWlaqzcqyService tcWlaqzcqyService;

    /**
     * 查询网络安全支持单位列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wlaqzcqy:list')")
    @GetMapping("/list")
    public TableDataInfo list(TcWlaqzcqy tcWlaqzcqy)
    {
        startPage();
        List<TcWlaqzcqy> list = tcWlaqzcqyService.selectTcWlaqzcqyList(tcWlaqzcqy);
        return getDataTable(list);
    }

    /**
     * 导出网络安全支持单位列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wlaqzcqy:export')")
    @Log(title = "网络安全支持单位", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, TcWlaqzcqy tcWlaqzcqy)
    {
        List<TcWlaqzcqy> list = tcWlaqzcqyService.selectTcWlaqzcqyList(tcWlaqzcqy);
        ExcelUtil<TcWlaqzcqy> util = new ExcelUtil<TcWlaqzcqy>(TcWlaqzcqy.class);
        util.exportExcel(response, list, "网络安全支持单位数据");
    }

    /**
     * 获取网络安全支持单位详细信息
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wlaqzcqy:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(tcWlaqzcqyService.selectTcWlaqzcqyById(id));
    }

    /**
     * 新增网络安全支持单位
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wlaqzcqy:add')")
    @Log(title = "网络安全支持单位", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TcWlaqzcqy tcWlaqzcqy)
    {
        return toAjax(tcWlaqzcqyService.insertTcWlaqzcqy(tcWlaqzcqy));
    }

    /**
     * 修改网络安全支持单位
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wlaqzcqy:edit')")
    @Log(title = "网络安全支持单位", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody TcWlaqzcqy tcWlaqzcqy)
    {
        return toAjax(tcWlaqzcqyService.updateTcWlaqzcqy(tcWlaqzcqy));
    }

    /**
     * 删除网络安全支持单位
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wlaqzcqy:remove')")
    @Log(title = "网络安全支持单位", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(tcWlaqzcqyService.deleteTcWlaqzcqyByIds(ids));
    }
}
