package com.ruoyi.tcZz.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.tcZz.domain.TcWlwmzyz;
import com.ruoyi.tcZz.service.ITcWlwmzyzService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 网络文明志愿者Controller
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@RestController
@RequestMapping("/tcZz/networkEcology/wlwmzyz")
public class TcWlwmzyzController extends BaseController
{
    @Autowired
    private ITcWlwmzyzService tcWlwmzyzService;

    /**
     * 查询网络文明志愿者列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wlwmzyz:list')")
    @GetMapping("/list")
    public TableDataInfo list(TcWlwmzyz tcWlwmzyz)
    {
        startPage();
        List<TcWlwmzyz> list = tcWlwmzyzService.selectTcWlwmzyzList(tcWlwmzyz);
        return getDataTable(list);
    }

    /**
     * 导出网络文明志愿者列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wlwmzyz:export')")
    @Log(title = "网络文明志愿者", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, TcWlwmzyz tcWlwmzyz)
    {
        List<TcWlwmzyz> list = tcWlwmzyzService.selectTcWlwmzyzList(tcWlwmzyz);
        ExcelUtil<TcWlwmzyz> util = new ExcelUtil<TcWlwmzyz>(TcWlwmzyz.class);
        util.exportExcel(response, list, "网络文明志愿者数据");
    }

    /**
     * 获取网络文明志愿者详细信息
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wlwmzyz:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(tcWlwmzyzService.selectTcWlwmzyzById(id));
    }

    /**
     * 新增网络文明志愿者
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wlwmzyz:add')")
    @Log(title = "网络文明志愿者", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TcWlwmzyz tcWlwmzyz)
    {
        return toAjax(tcWlwmzyzService.insertTcWlwmzyz(tcWlwmzyz));
    }

    /**
     * 修改网络文明志愿者
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wlwmzyz:edit')")
    @Log(title = "网络文明志愿者", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody TcWlwmzyz tcWlwmzyz)
    {
        return toAjax(tcWlwmzyzService.updateTcWlwmzyz(tcWlwmzyz));
    }

    /**
     * 删除网络文明志愿者
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wlwmzyz:remove')")
    @Log(title = "网络文明志愿者", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(tcWlwmzyzService.deleteTcWlwmzyzByIds(ids));
    }
}
