package com.ruoyi.tcZz.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.tcZz.domain.TcWpwzlyqk;
import com.ruoyi.tcZz.service.ITcWpwzlyqkService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 网评文章录用情况Controller
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@RestController
@RequestMapping("/tcZz/networkEcology/wpwzlyqk")
public class TcWpwzlyqkController extends BaseController
{
    @Autowired
    private ITcWpwzlyqkService tcWpwzlyqkService;

    /**
     * 查询网评文章录用情况列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wpwzlyqk:list')")
    @GetMapping("/list")
    public TableDataInfo list(TcWpwzlyqk tcWpwzlyqk)
    {
        startPage();
        List<TcWpwzlyqk> list = tcWpwzlyqkService.selectTcWpwzlyqkList(tcWpwzlyqk);
        return getDataTable(list);
    }

    /**
     * 导出网评文章录用情况列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wpwzlyqk:export')")
    @Log(title = "网评文章录用情况", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, TcWpwzlyqk tcWpwzlyqk)
    {
        List<TcWpwzlyqk> list = tcWpwzlyqkService.selectTcWpwzlyqkList(tcWpwzlyqk);
        ExcelUtil<TcWpwzlyqk> util = new ExcelUtil<TcWpwzlyqk>(TcWpwzlyqk.class);
        util.exportExcel(response, list, "网评文章录用情况数据");
    }

    /**
     * 获取网评文章录用情况详细信息
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wpwzlyqk:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(tcWpwzlyqkService.selectTcWpwzlyqkById(id));
    }

    /**
     * 新增网评文章录用情况
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wpwzlyqk:add')")
    @Log(title = "网评文章录用情况", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TcWpwzlyqk tcWpwzlyqk)
    {
        return toAjax(tcWpwzlyqkService.insertTcWpwzlyqk(tcWpwzlyqk));
    }

    /**
     * 修改网评文章录用情况
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wpwzlyqk:edit')")
    @Log(title = "网评文章录用情况", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody TcWpwzlyqk tcWpwzlyqk)
    {
        return toAjax(tcWpwzlyqkService.updateTcWpwzlyqk(tcWpwzlyqk));
    }

    /**
     * 删除网评文章录用情况
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkEcology:wpwzlyqk:remove')")
    @Log(title = "网评文章录用情况", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(tcWpwzlyqkService.deleteTcWpwzlyqkByIds(ids));
    }
}
